// Bmp2RgnDlg.h : header file
//(c) 1999, Till Toenshoff <till@uni.de>
//this code is FREE for any use

#include "Display.h"
#include "DlgPreview.h"
#include "DlgBitmap.h"
/////////////////////////////////////////////////////////////////////////////
// CBmp2RgnDlg dialog

class CBmp2RgnDlg : public CDialog
{
// Construction
public:
	CBmp2RgnDlg(CWnd* pParent = NULL);	// standard constructor
	
// Dialog Data
	//{{AFX_DATA(CBmp2RgnDlg)
	enum { IDD = IDD_BMP2RGN_DIALOG };
	CButton	m_btnCalc;
	CDisplay m_ctlColor;
	CButton	m_btnOk;
	CString	m_strSrc;
	CString	m_strDst;
	int		m_nRed;
	int		m_nGreen;
	int		m_nBlue;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CBmp2RgnDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL
	LRESULT OnSetColor (WPARAM wParm,LPARAM lParm);

// Implementation
protected:
	void enableControls (void);
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CBmp2RgnDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnBrowseDst();
	afx_msg void OnBrowseSrc();
	virtual void OnOK();
	afx_msg void OnChangeSrc();
	afx_msg void OnChangeDst();
	afx_msg void OnCalc();
	afx_msg void OnChangeBlue();
	afx_msg void OnChangeGreen();
	afx_msg void OnChangeRed();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	void LoadBitmap (const char *pPath,CBitmap **pBitmap);

	CBitmap *m_pBitmap;
	CDlgPreview m_dlgPreview;
	CDlgBitmap m_dlgBitmap;
};
