// DlgPreview.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CDlgPreview dialog
//(c) 1999, Till Toenshoff <till@uni.de>
//this code is FREE for any use

class CDlgPreview : public CDialog
{
// Construction
public:
	CDlgPreview(CWnd* pParent = NULL);   // standard constructor

	CRgn *GetRgn (void);
	void Setup (CBitmap *pBitmap,COLORREF col);
	
// Dialog Data
	//{{AFX_DATA(CDlgPreview)
	enum { IDD = IDD_PREVIEW_PANEL };
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDlgPreview)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	CBitmap *m_pBitmap;
	CRgn	*m_pRgn;

	BOOL CreateRegion (CRgn *pRgn,CBitmap *pBitmap,COLORREF col);
	void SizeToFit (void);

	// Generated message map functions
	//{{AFX_MSG(CDlgPreview)
	afx_msg void OnPaint();
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
