// DlgView.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CDlgView dialog

class CDlgView : public CDialog
{
// Construction
public:
	CDlgView(CWnd* pParent = NULL);   // standard constructor

	CRgn *GetRgn (void);
	void SetBitmap (CBitmap *pBitmap);
	
// Dialog Data
	//{{AFX_DATA(CDlgView)
	enum { IDD = IDD_PREVIEW_PANEL };
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDlgView)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	CBitmap *m_pBitmap;
	CRgn	*m_pRgn;

	BOOL CreateRegion (CRgn *pRgn,CBitmap *pBitmap);
	void SizeToFit (void);

	// Generated message map functions
	//{{AFX_MSG(CDlgView)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
